## r-cran-gprofiler2 0.2.1+dfsg

=== DESCRIPTION ===
Package: gprofiler2
Type: Package
Title: Interface to the 'g:Profiler' Toolset
Version: 0.2.1
Author: Liis Kolberg <liis.kolberg@ut.ee>, Uku Raudvere <uku.raudvere@ut.ee>
Maintainer: Liis Kolberg <liis.kolberg@ut.ee>
Description: A toolset for functional enrichment analysis and visualization, gene/protein/SNP identifier conversion and mapping orthologous genes across species via 'g:Profiler' (<https://biit.cs.ut.ee/gprofiler/>). 
    The main tools are: 
    (1) 'g:GOSt' - functional enrichment analysis and visualization of gene lists; 
    (2) 'g:Convert' - gene/protein/transcript identifier conversion across various namespaces;
    (3) 'g:Orth' - orthology search across species;
    (4) 'g:SNPense' - mapping SNP rs identifiers to chromosome positions, genes and variant effects.
    This package is an R interface corresponding to the 2019 update of 'g:Profiler' and provides access to 'g:Profiler' for versions 'e94_eg41_p11' and higher. See the package 'gProfileR' for accessing older versions from the 'g:Profiler' toolset.  
BugReports: https://biit.cs.ut.ee/gprofiler/page/contact
License: GPL (>= 2)
Encoding: UTF-8
RoxygenNote: 7.1.1
Imports: jsonlite, RCurl, ggplot2, plotly, tidyr (>= 1.0.0), crosstalk,
        grDevices, gridExtra, grid, viridisLite, dplyr
Depends: R (>= 3.5)
Suggests: knitr, rmarkdown, prettydoc
VignetteBuilder: knitr, rmarkdown
NeedsCompilation: no
Packaged: 2021-08-23 08:15:20 UTC; Liis
Repository: CRAN
Date/Publication: 2021-08-23 14:00:02 UTC

=== debian/changelog ===
r-cran-gprofiler2 (0.2.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database.
  * Make sure dh-update-R will not silently remove Build-Depends to recreate
    documentation.

 -- Andreas Tille <tille@debian.org>  Mon, 20 Sep 2021 11:03:32 +0200

r-cran-gprofiler2 (0.2.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Nilesh Patra <nilesh@debian.org>  Mon, 13 Sep 2021 18:09:40 +0530

r-cran-gprofiler2 (0.2.0+dfsg-1) unstable; urgency=medium

  * Initial release (closes: #991742)

 -- Nilesh Patra <nilesh@debian.org>  Fri, 10 Sep 2021 18:40:38 +0530

=== debian/control ===
Source: r-cran-gprofiler2
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Nilesh Patra <nilesh@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-jsonlite,
               r-cran-rcurl,
               r-cran-ggplot2,
               r-cran-plotly,
               r-cran-tidyr (>= 1.0.0),
               r-cran-crosstalk,
               r-cran-gridextra,
               r-cran-viridislite,
               r-cran-dplyr,
# <dh-update-R>do not delete this, knitr and markdown are used to recreate the docs</dh-update-R>
               r-cran-knitr,
               r-cran-markdown
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gprofiler2
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gprofiler2.git
Homepage: https://cran.r-project.org/package=gprofiler2
Rules-Requires-Root: no

Package: r-cran-gprofiler2
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Breaks: r-cran-gprofiler
Replaces: r-cran-gprofiler
Description: Interface to the 'g:Profiler' Toolset
 A toolset for functional enrichment analysis and visualization,
 gene/protein/SNP identifier conversion and mapping orthologous genes
 across species via 'g:Profiler' (<https://biit.cs.ut.ee/gprofiler>). The
 main tools are:
 (1) 'g:GOSt' - functional enrichment analysis and visualization of
     gene lists;
 (2) 'g:Convert' - gene/protein/transcript identifier conversion across
     various namespaces;
 (3) 'g:Orth' - orthology search across species;
 (4) 'g:SNPense' - mapping SNP rs identifiers to chromosome positions,
     genes and variant effects This package is an R interface
     corresponding to the 2019 update of 'g:Profiler' and provides access
     to 'g:Profiler' for versions 'e94_eg41_p11' and higher. See the
     package 'gProfileR' for accessing older versions from the
     'g:Profiler' toolset.

=== debian/watch ===
version=4
opts=\
repack,compression=xz,\
repacksuffix=+dfsg,\
dversionmangle=auto \
https://cloud.r-project.org/src/contrib/gprofiler2_([-\d.]*)\.tar\.gz

## r-cran-gprofiler2 0.2.2+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gprofiler2
 Type: Package
 Title: Interface to the 'g:Profiler' Toolset
-Version: 0.2.1
+Version: 0.2.2
 Author: Liis Kolberg <liis.kolberg@ut.ee>, Uku Raudvere <uku.raudvere@ut.ee>
 Maintainer: Liis Kolberg <liis.kolberg@ut.ee>
 Description: A toolset for functional enrichment analysis and visualization, gene/protein/SNP identifier conversion and mapping orthologous genes across species via 'g:Profiler' (<https://biit.cs.ut.ee/gprofiler/>). 
@@ -21,6 +21,6 @@
 Suggests: knitr, rmarkdown, prettydoc
 VignetteBuilder: knitr, rmarkdown
 NeedsCompilation: no
-Packaged: 2021-08-23 08:15:20 UTC; Liis
+Packaged: 2023-06-13 17:03:31 UTC; Liis
 Repository: CRAN
-Date/Publication: 2021-08-23 14:00:02 UTC
+Date/Publication: 2023-06-14 02:50:06 UTC

=== debian/changelog ===
r-cran-gprofiler2 (0.2.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Remove rebuilt doc in clean target
    Closes: #1045833

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 09:15:52 +0200

r-cran-gprofiler2 (0.2.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 22 Jun 2023 13:25:29 +0200

=== debian/control ===
--- 
+++ 
@@ -11,15 +11,14 @@
                r-cran-rcurl,
                r-cran-ggplot2,
                r-cran-plotly,
-               r-cran-tidyr (>= 1.0.0),
+               r-cran-tidyr,
                r-cran-crosstalk,
                r-cran-gridextra,
                r-cran-viridislite,
                r-cran-dplyr,
-# <dh-update-R>do not delete this, knitr and markdown are used to recreate the docs</dh-update-R>
                r-cran-knitr,
                r-cran-markdown
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gprofiler2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gprofiler2.git
 Homepage: https://cran.r-project.org/package=gprofiler2

## r-cran-gprofiler2 0.2.3%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: r-cran-gprofiler2
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
-Uploaders: Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
@@ -18,7 +18,7 @@
                r-cran-dplyr,
                r-cran-knitr,
                r-cran-markdown
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gprofiler2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gprofiler2.git
 Homepage: https://cran.r-project.org/package=gprofiler2

## r-cran-gprofiler2 0.2.3+dfsg

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: gprofiler2
 Type: Package
 Title: Interface to the 'g:Profiler' Toolset
-Version: 0.2.2
+Version: 0.2.3
 Author: Liis Kolberg <liis.kolberg@ut.ee>, Uku Raudvere <uku.raudvere@ut.ee>
 Maintainer: Liis Kolberg <liis.kolberg@ut.ee>
 Description: A toolset for functional enrichment analysis and visualization, gene/protein/SNP identifier conversion and mapping orthologous genes across species via 'g:Profiler' (<https://biit.cs.ut.ee/gprofiler/>). 
@@ -21,6 +21,6 @@
 Suggests: knitr, rmarkdown, prettydoc
 VignetteBuilder: knitr, rmarkdown
 NeedsCompilation: no
-Packaged: 2023-06-13 17:03:31 UTC; Liis
+Packaged: 2024-02-23 20:09:31 UTC; Liis
 Repository: CRAN
-Date/Publication: 2023-06-14 02:50:06 UTC
+Date/Publication: 2024-02-23 21:50:02 UTC

=== debian/changelog ===
r-cran-gprofiler2 (0.2.3+dfsg-1) unstable; urgency=medium

  * Replace Uploader Nilesh Patra by my own ID (Thanks for all your work
    on this package, Nilesh)
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 12 May 2024 02:45:14 +0200

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

execute_after_dh_auto_build:
	cd inst/doc && Rscript -e "require(knitr); require(markdown); knit('gprofiler2.Rmd', 'gprofiler2.md'); markdownToHTML('gprofiler2.md', 'gprofiler2.html', options=c('use_xhtml', 'base64_images'));" && rm -f gprofiler2.md

## r-cran-gprofiler2 0.2.4+dfsg

=== debian/changelog ===
r-cran-gprofiler2 (0.2.4+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 25 Dec 2025 13:38:29 +0900

=== debian/control ===
--- 
+++ 
@@ -16,9 +16,12 @@
                r-cran-gridextra,
                r-cran-viridislite,
                r-cran-dplyr,
+               r-cran-curl,
                r-cran-knitr,
-               r-cran-markdown
-Standards-Version: 4.7.0
+               r-cran-markdown,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-gprofiler2
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-gprofiler2.git
 Homepage: https://cran.r-project.org/package=gprofiler2
@@ -30,8 +33,6 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Breaks: r-cran-gprofiler
-Replaces: r-cran-gprofiler
 Description: Interface to the 'g:Profiler' Toolset
  A toolset for functional enrichment analysis and visualization,
  gene/protein/SNP identifier conversion and mapping orthologous genes
